<template>
  <div class="top-nav">
    <el-menu mode="horizontal" style="border:none">
      <div class="show-tree-btn" v-show="!this.TreeDataPool.showTreeBox">
        <i class="el-icon-s-unfold" @click="slideLeft"></i>
      </div>
      <div class="title">智能计算节点</div>
    </el-menu>
  </div>
</template>

<script>

export default {
  components: {
    // fTemplate
  },
  data() {
    return {
      showTreeBox: false
    };
  },
  methods: {
    slideLeft() {
      this.CategoryData.isShow = false;
      this.TreeDataPool.showTreeBox = !this.TreeDataPool.showTreeBox;
    },
  }
};
</script>

<style lang="scss">
.top-nav {
  width: 100%;
  height: 90px;
  ul {
    width: 100%;
    height: 90px;
    position: relative;
    background-image: url("/images/visual/topBg.png");
    background-size: 100% 100%;
    .title {
      width: 400px;
      height: 40px;
      position: absolute;
      top: 10px;
      left: calc(50% - 200px);
      line-height: 40px;
      font-weight: bold;
      font-family: PingFangSC-Semibold;
      font-size: 31px;
      color: #0a81fd;
      letter-spacing: 0.68px;
    }
  }

  .show-tree-btn {
    position: absolute;
    left: 5px;
    top: 60px;
    color: #3d68e1;
    font-size: 27px;
    cursor: pointer;
  }
}
</style>
